import request from '@/utils/request'
export function detectIp() {
  return request({
    url: '/test/geo',
    method: 'get'
  })
}
// 查询异常日志列表
export function list() {
  return request({
    url: '/test/query',
    method: 'get'
  })
}

// 删除异常日志
export function add(data) {
  return request({
    url: '/test/add/',
    method: 'post',
    data:{
      data: data
    },
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }

  })
}
export function del(id) {
  return request({
    url: '/test/del/' + id,
    method: 'delete'

  })
}
export function update(id, data) {
  return request({
    url: '/test/update/' + id,
    method: 'put',
    data: data

  })
}
